<#assign self_content>
    /**
     * 分割宽度
     *
     * @type {number}
     * @memberof ${srfclassname('${view.codeName}')}Base
     */
    protected split: number = 0.2;

    /**
     * 树导航栏数据
     *
     * @type {any}
     * @memberof ${srfclassname('${view.codeName}')}Base
     */
    protected wfStepModel: any;

    /**
     * 获取树导航栏数据
     *
     * @memberof  ${srfclassname('${view.codeName}')}Base
     */
    protected getWFStepModel(){
        this.appEntityService.WFGetWFStep().then((response:any) =>{
            if (response && response.status === 200) {
                this.wfStepModel = response.data;   
            }
        }).catch((response: any) => {
            if (response && response.status) {
                this.$Notice.error({ title: '错误', desc: response.message });
                return;
            }
            if (!response || !response.status || !response.data) {
                this.$Notice.error({ title: '错误', desc: '系统异常' });
                return;
            }
        });
    }

</#assign>
<#ibizinclude>
../@MACRO/VIEW-BASE.vue.ftl
</#ibizinclude>